import { Component, OnInit, ViewChild } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Table } from 'primeng/table';
import { AppBreadcrumbService } from 'src/app/app.breadcrumb.service';
import { Candidate } from 'src/app/shared/models/candidate';
import { CandidateService } from 'src/app/shared/services/candidate.service';
import { NodeService } from 'src/app/shared/services/node.service';

@Component({
  selector: 'app-candidate-list',
  templateUrl: './candidate-list.component.html',
  styleUrls: ['./candidate-list.component.scss'],
  styles: [`
          :host ::ng-deep .p-dialog .product-image {
            width: 150px;
            margin: 0 auto 2rem auto;
            display: block;
        }
        @media screen and (max-width: 960px) {
            :host ::ng-deep .p-datatable.p-datatable-customers.rowexpand-table .p-datatable-tbody > tr > td:nth-child(6) {
                display: flex;
            }
        }

    `],
})
export class CandidateListComponent implements OnInit {
  theCandidates: Candidate[];
  candidate: Candidate;
  first = 0;
  rows = 10;
  @ViewChild('dt') table: Table;
  candidateDialog: boolean;
  submitted: boolean;

  constructor(private http: HttpClient,private breadcrumbService: AppBreadcrumbService) {
      this.breadcrumbService.setItems([
         { label: 'Candidates' },
         { label: 'List', routerLink: ['/candidate/candidate-list'] }
      ]);
}

  ngOnInit() {
    this.getCandidates().then(c => {
      this.theCandidates = c;
  });
}

getCandidates() {
  return this.http.get<any>('assets/demo/data/candidates.json')
          .toPromise()
          .then(res => res.data as Candidate[])
          .then(data => data);
}
isLastPage(): boolean {
    return this.theCandidates ? this.first === (this.theCandidates.length - this.rows): true;
}

isFirstPage(): boolean {
    return this.theCandidates ? this.first === 0 : true;
}

openNew() {
  this.candidate = {};
  this.submitted = false;
  this.candidateDialog = true;
}

editProduct(candidate: Candidate) {
  this.candidate = {...candidate};
  this.candidateDialog = true;
}

deleteProduct(product: Candidate) {
 /*  this.confirmationService.confirm({
      message: 'Are you sure you want to delete ' + product.name + '?',
      header: 'Confirm',
      icon: 'pi pi-exclamation-triangle',
      accept: () => {
          this.products = this.products.filter(val => val.id !== product.id);
          this.product = {};
          this.messageService.add({severity: 'success', summary: 'Successful', detail: 'Product Deleted', life: 3000});
      }
  }); */
}

}
