import { Component, OnInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { SelectItem } from 'primeng/api';
import { AppBreadcrumbService } from 'src/app/app.breadcrumb.service';
import { Candidate } from 'src/app/shared/models/candidate';
import { CandidateService } from 'src/app/shared/services/candidate.service';

@Component({
  selector: 'app-candidate-sidebar',
  templateUrl: './candidate-sidebar.component.html',
  styleUrls: ['./candidate-sidebar.component.scss']
})
export class CandidateSidebarComponent implements OnInit {
  editForm = this.fb.group({
    id: [null],
    firstname: [null],
    lastname: [null],
    emails: [null, []],
  });

  constructor(private breadcrumbService: AppBreadcrumbService, private candidateService: CandidateService,private fb: FormBuilder) {
    this.breadcrumbService.setItems([
       { label: 'Candidates' },
       { label: 'New', routerLink: ['/candidate/candidate-sidebar'] }
    ]);
  }

  ngOnInit(): void {

   
  }
  
  save() {

  }
  

}
