import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';
import { Candidate } from '../models/candidate';

@Injectable({
  providedIn: 'root'
})
export class CandidateService {

  listOfCandidates() {
    return this.http.get<any>('assets/demo/data/candidates.json')
            .toPromise()
            .then(res => res.data as Candidate[])
            .then(data => data);
  }

  async Search(query: string): Promise<Candidate[]> {
    let candidates = this.listOfCandidates();
    let candidatesFilter: Candidate[] ;
    for (let item of await candidates) 
    {
      if (item.firstname == query || item.lastname == query) 
      {
        candidatesFilter.push(item);
      }
    }  
    return candidatesFilter
  }

  async getById(id: string): Promise<Candidate> {
    return (await this.listOfCandidates()).find(x => x.id == id);
  }

  async Delete(id: string): Promise<Candidate[]> {
    return (await this.listOfCandidates()).filter(x => x.id == id);
  }

  constructor(private http: HttpClient) { }
}

